libzypp 17.37.10

zyppng::RangeDesc Struct Reference

`#include <zypp-curl/ng/network/rangedesc.h>`

Inheritance diagram for zyppng::RangeDesc:

## Public Attributes
size_t | _start = 0
size_t | _len = 0
std::string | _chksumtype
| Enables automated checking of downloaded contents against a checksum.
UByteArray | _checksum
std::optional< size_t > | _relevantDigestLen
std::optional< size_t > | _chksumPad

## Detailed Description

Describes a range of a file that is to be downloaded.

Definition at line 27 of file rangedesc.h.

## Member Data Documentation

## ◆ _start

size_t zyppng::RangeDesc::_start = 0

Definition at line 28 of file rangedesc.h.

## ◆ _len

size_t zyppng::RangeDesc::_len = 0

Definition at line 29 of file rangedesc.h.

## ◆ _chksumtype

std::string zyppng::RangeDesc::_chksumtype

Enables automated checking of downloaded contents against a checksum.

Note
  expects _checksum in byte NOT in string format

Definition at line 35 of file rangedesc.h.

## ◆ _checksum

UByteArray zyppng::RangeDesc::_checksum

Definition at line 36 of file rangedesc.h.

## ◆ _relevantDigestLen

std::optional<size_t> zyppng::RangeDesc::_relevantDigestLen

Definition at line 37 of file rangedesc.h.

## ◆ _chksumPad

std::optional<size_t> zyppng::RangeDesc::_chksumPad

Definition at line 38 of file rangedesc.h.

The documentation for this struct was generated from the following file:

- zypp-curl/ng/network/rangedesc.h